﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 0;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (1, 1, 1, 0.999);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0xffff00)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-500);
			var mX:Number = stage.stageHeight/2-mouseX
			var color:Number = Math.random()*0xffffff;
			for(var i:Number=0;i<stage.stageHeight;i++){
				var posy:Number = Math.sin((i+angle/100)*Math.PI/100)*Math.sin(i*Math.PI/0.4)*(stage.stageHeight/2-i)*(mX/100);
				support.graphics.lineTo(mouseX,mouseY);
				support.graphics.lineStyle(100,color);
				support.graphics.lineTo(i*1.5,stage.stageHeight/2+posy);
			
			}
			angle+=1000;
			image.colorTransform (image.rect, c_trs);
			image.scroll (-1, +1);
			image.draw(support);
		}
	}
}